Bug 224407 - x11-fonts/freefonts, x11-fonts/sharefonts, x11-fonts/urwfonts-ttf checksum mismatch
Summary: x11-fonts/freefonts, x11-fonts/sharefonts, x11-fonts/urwfonts-ttf checksum mi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-17 18:49 UTC by Marco Beishuizen
Modified: 2018-10-02 09:58 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Beishuizen 2017-12-17 18:49:16 UTC
Periodic daily gives a "checksum mismatch" with some installed fonts:

Checking for packages with mismatched checksums:
freefonts-0.10_8: /usr/local/share/fonts/freefonts/fonts.dir
freefonts-0.10_8: /usr/local/share/fonts/freefonts/fonts.scale
sharefonts-0.10_6: /usr/local/share/fonts/sharefonts/fonts.dir
urwfonts-ttf-1.0.7b18_6: /usr/local/share/fonts/urwfonts-ttf/fonts.dir
urwfonts-ttf-1.0.7b18_6: /usr/local/share/fonts/urwfonts-ttf/fonts.scale

Fonts work fine though, just getting these errors.
Comment 1 commit-hook freebsd_committer 2018-10-01 19:54:40 UTC
A commit references this bug:

Author: tobik
Date: Mon Oct  1 19:53:39 UTC 2018
New revision: 481060
URL: https://svnweb.freebsd.org/changeset/ports/481060

Log:
  x11-fonts/freefont: Do not package fonts.{dir,scale}

  They are generated by USES=font post-install.  Packaging them just
  leads to checksum errors:

  Checking for packages with mismatched checksums:
  freefonts-0.10_8: /usr/local/share/fonts/freefonts/fonts.dir
  freefonts-0.10_8: /usr/local/share/fonts/freefonts/fonts.scale

  PR:		224407
  Reported by:	Marco Beishuizen <mbeis@xs4all.nl>

Changes:
  head/x11-fonts/freefonts/Makefile
  head/x11-fonts/freefonts/pkg-plist
Comment 2 commit-hook freebsd_committer 2018-10-01 19:57:45 UTC
A commit references this bug:

Author: tobik
Date: Mon Oct  1 19:57:10 UTC 2018
New revision: 481061
URL: https://svnweb.freebsd.org/changeset/ports/481061

Log:
  x11-fonts/sharefonts: Do not package fonts.dir

  It is generated by USES=font post-install.  Packaging it just
  leads to checksum errors:

  Checking for packages with mismatched checksums:
  sharefonts-0.10_6: /usr/local/share/fonts/sharefonts/fonts.dir

  PR:		224407
  Reported by:	Marco Beishuizen <mbeis@xs4all.nl>

Changes:
  head/x11-fonts/sharefonts/Makefile
  head/x11-fonts/sharefonts/pkg-plist
Comment 3 commit-hook freebsd_committer 2018-10-01 20:02:51 UTC
A commit references this bug:

Author: tobik
Date: Mon Oct  1 20:02:03 UTC 2018
New revision: 481063
URL: https://svnweb.freebsd.org/changeset/ports/481063

Log:
  x11-fonts/urwfonts-ttf: Do not package fonts.{dir,scale}

  They are generated by USES=font post-install.  Packaging them just
  leads to checksum errors:

  Checking for packages with mismatched checksums:
  urwfonts-ttf-1.0.7b18_6: /usr/local/share/fonts/urwfonts-ttf/fonts.dir
  urwfonts-ttf-1.0.7b18_6: /usr/local/share/fonts/urwfonts-ttf/fonts.scale

  PR:		224407
  Reported by:	Marco Beishuizen <mbeis@xs4all.nl>

Changes:
  head/x11-fonts/urwfonts-ttf/Makefile
  head/x11-fonts/urwfonts-ttf/pkg-plist
Comment 4 Tobias Kortkamp freebsd_committer 2018-10-01 20:03:07 UTC
(In reply to Marco Beishuizen from comment #0)
Thank you. This should be fixed now. Sorry that this took so long...
Comment 5 Marco Beishuizen 2018-10-02 09:58:10 UTC
No problem! Thanks for the fix.